Referenceregistries
Start a publish (returns a presigned upload)
Path Parameters
ownerHandle*string
Length
length <= 64slug*string
Length
length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/registries/string/string/publish" \ -H "Content-Type: application/json" \ -d '{ "skillMeta": { "name": "string", "manifest": { "name": "string", "description": "string", "metadata": { "property1": "string", "property2": "string" }, "extensions": {} } }, "version": "string", "sha256": "string", "sizeBytes": -9007199254740991 }'{ "publishId": "65047d7a-a433-4813-8656-d36d84d1ff08", "upload": { "url": "http://example.com", "method": "PUT", "headers": { "property1": "string", "property2": "string" }, "expiresAt": "2019-08-24T14:15:22Z" }}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "PLAN_LIMIT", "status": 402, "message": "This action exceeds your plan's limits.", "data": { "limit": "string", "current": 0, "max": 0, "planId": "string", "orgHandle": "string", "suggestedPlanId": "string" }}{ "defined": true, "code": "FORBIDDEN", "status": 403, "message": "You do not have permission to perform this action.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "CONFLICT", "status": 409, "message": "The request conflicts with the current state.", "data": { "reason": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}